Object Storage API, Amazon S3-compatible REST: GetObjectTagging
Written by
Updated at May 6, 2026
Returns bucket object labels.
Note
Yandex Cloud uses labels to logically identify resources. However, Object Storage supports compatibility with Amazon S3 API
For more information on getting started with the API and the general request format, see How to use the S3 API.
Request
GET /{bucket}/{key}?tagging&versionId={versionId} HTTP/2
Path parameters
| Parameter | Description |
|---|---|
bucket |
Bucket name. |
key |
Object key. |
Query parameters
| Parameter | Description |
|---|---|
tagging |
Type of operation. This is a required parameter. |
versionId |
Object version ID. This is a required parameter. |
Headers
Use common headers in your requests.
Response
Headers
In addition to common headers, responses may contain:
| Header | Description |
|---|---|
x-amz-version-id |
Object version ID. |
Response codes
For a list of possible responses, see Responses.
A successful response contains additional data in XML format.
Data schema
<?xml version="1.0" encoding="UTF-8" ?>
<Tagging xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
<TagSet>
<Tag>
<Key>string</Key>
<Value>string</Value>
</Tag>
</TagSet>
</Tagging>
| Element | Description |
|---|---|
Tagging |
Root element. |
TagSet |
Array of labels. |
Tag |
Container for a label. |
Key |
Label key. Type: String. |
Value |
Label value. Type: String. |